summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichele R. Marino (vee) <rauggy@gmail.com>2009-04-22 18:55:29 +0000
committerMichele R. Marino (vee) <rauggy@gmail.com>2009-04-22 18:55:29 +0000
commit1ffe5c973f54818179e075a0551f50ba54329f61 (patch)
treec3a0df2ea0d9460dcf98cfbf684ae23cfafb02c3
parentAdded DIFF and DIFF_OPTS variables. (diff)
downloadsunrise-1ffe5c973f54818179e075a0551f50ba54329f61.tar.gz
sunrise-1ffe5c973f54818179e075a0551f50ba54329f61.tar.bz2
sunrise-1ffe5c973f54818179e075a0551f50ba54329f61.zip
games-mud/kildclient: New ebuild for bug 266567. Thanks to idl0r, volkmar and Tommy[D]
svn path=/sunrise/; revision=8395
-rw-r--r--games-mud/kildclient/ChangeLog8
-rw-r--r--games-mud/kildclient/Manifest4
-rw-r--r--games-mud/kildclient/kildclient-2.8.1.ebuild32
-rw-r--r--games-mud/kildclient/metadata.xml5
4 files changed, 49 insertions, 0 deletions
diff --git a/games-mud/kildclient/ChangeLog b/games-mud/kildclient/ChangeLog
new file mode 100644
index 000000000..26b7f31dc
--- /dev/null
+++ b/games-mud/kildclient/ChangeLog
@@ -0,0 +1,8 @@
+# ChangeLog for games-mud/kildclient
+# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 22 Apr 2009; Michele R. Marino (vee) <rauggy@gmail.com>
+ +kildclient-2.8.1.ebuild, +metadata.xml:
+ New ebuild for bug 266567. Thanks to idl0r, volkmar and Tommy[D]
+
diff --git a/games-mud/kildclient/Manifest b/games-mud/kildclient/Manifest
new file mode 100644
index 000000000..04ff091ca
--- /dev/null
+++ b/games-mud/kildclient/Manifest
@@ -0,0 +1,4 @@
+DIST kildclient-2.8.1.tar.gz 1617232 RMD160 cb6d8986b34c46272af85fc65473b54070a37bda SHA1 90c5784289d8f61137c1d9b825d5d2392a66ea2b SHA256 bf53069c530bb998e4b8fcd4ea8620e0119ccb56536d0aedd4c94c85abeea200
+EBUILD kildclient-2.8.1.ebuild 672 RMD160 69a41ee877d9a67899dd6679c0c64f77883a4b4d SHA1 d721c463d5d8d2a73d97fc58e083677433b0c096 SHA256 3fd20e525aef9b7f95c9d614c1c40ef16ac9186fa91850dcd41a24a8162adbf8
+MISC ChangeLog 290 RMD160 e74c67aa7007fc55ac3223023646896b038f0eae SHA1 dfbb1668f411896a943b0613500fcab3fec18ad5 SHA256 a4e8d0c64080d2af2ecb2a0efc57f4c2c7dc9e8c68a977cd3083673149ef5573
+MISC metadata.xml 170 RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 SHA1 ac7f48a14fec325926f9ce1be8fbf1f311b4f2e4 SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42
diff --git a/games-mud/kildclient/kildclient-2.8.1.ebuild b/games-mud/kildclient/kildclient-2.8.1.ebuild
new file mode 100644
index 000000000..99ad36173
--- /dev/null
+++ b/games-mud/kildclient/kildclient-2.8.1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+inherit games
+
+DESCRIPTION="Powerful MUD client with a built-in PERL interpreter"
+HOMEPAGE="http://kildclient.sourceforge.net"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE="doc gnutls spell"
+
+DEPEND="x11-libs/gtk+:2
+ spell? ( app-text/gtkspell )
+ gnutls? ( net-libs/gnutls )"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+ egamesconf \
+ $(use_with spell gtkspell) \
+ $(use_with gnutls) \
+ $(use_with doc)
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "install failed"
+ prepgamesdirs
+}
diff --git a/games-mud/kildclient/metadata.xml b/games-mud/kildclient/metadata.xml
new file mode 100644
index 000000000..7e3286984
--- /dev/null
+++ b/games-mud/kildclient/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>maintainer-wanted</herd>
+</pkgmetadata>